CONFIG += qt \
 resources \
 release \
 warn_on \
 x11
QT += core gui
TEMPLATE = app
HEADERS += src/compal.h src/frmabout.h src/frmcompal.h src/qclcconfig.h
SOURCES += src/compal.cpp \
 src/frmabout.cpp \
 src/frmcompal.cpp \
 src/main.cpp \
 src/qclcconfig.cpp
FORMS += ui/frmabout.ui ui/frmcompal.ui
RESOURCES += res/resources.qrc
TRANSLATIONS = translations/locale_pl.ts
UI_DIR = .tmp
MOC_DIR = .tmp
RCC_DIR = .tmp
OBJECTS_DIR = .tmp
INSTALL_PREFIX = /usr
BIN_DIR = "$${INSTALL_PREFIX}/bin"
SHARE_DIR = "$${INSTALL_PREFIX}/share"
DOC_DIR = "$${SHARE_DIR}/doc/$${TARGET}"
MAN_DIR = "$${SHARE_DIR}/man/man1"
ICONS_DIR = "$${SHARE_DIR}/icons"
APPS_DIR = "$${SHARE_DIR}/applications"
TRANSLATIONS_DIR = "$${SHARE_DIR}/$${TARGET}"
DEFINES += TRANSLATIONS_DIR="\\\"$${TRANSLATIONS_DIR}\\\"" DOC_DIR="\\\"$${DOC_DIR}\\\""
target.path = "$${BIN_DIR}"
doc.path = "$${DOC_DIR}"
doc.files = doc/changelog.gz \
 doc/changelog \
 doc/changelog-pl \
 doc/README \
 doc/README-pl
man.path = "$${MAN_DIR}"
man.files = doc/compal-laptop-control.1.gz
icons.path = "$${ICONS_DIR}"
icons.files = res/compal-laptop-control.png
apps.path = "$${APPS_DIR}"
apps.files = doc/compal-laptop-control.desktop
translations.path = "$${TRANSLATIONS_DIR}"
translations.files = translations/locale_pl.qm
INSTALLS = target \
 doc \
 man \
 icons \
 apps \
 translations
